> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequenzy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Delivery File

> Remove the attached distributable file from a product

Remove the attached distributable file from a product. Future purchases of this product will no longer include `download` properties on the purchase event.

## Request

<ParamField path="productId" type="string" required>
  Product ID (from [List Products](/api-reference/products/list)). For products
  pushed via the Commerce API, you can also use your own productId (e.g.
  `my-ebook`).
</ParamField>

```bash theme={null}
curl -X DELETE "https://api.sequenzy.com/api/v1/products/prod_internal_1/delivery" \
  -H "Authorization: Bearer YOUR_API_KEY"
```

## Responses

<ResponseExample>
  ```json 200 theme={null}
  {
    "success": true,
    "product": {
      "id": "prod_internal_1",
      "title": "The Indie Hacker Guide",
      "digitalDelivery": null
    }
  }
  ```

  ```json 401 theme={null}
  {
    "success": false,
    "error": "Invalid or missing API key"
  }
  ```

  ```json 404 theme={null}
  {
    "success": false,
    "error": "Product not found"
  }
  ```
</ResponseExample>
